#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB3,0x57,0xB8,0x11,0x63,0xDA,0x75,0xF6,0x90,0x50,0x56,0x19,
		0x58,0x4E,0xBE,0x2A,0xE6,0x9B,0xF6,0x82,0x8F,0x93,0x5A,0x6E,
		0x95,0xC8,0x81,0x1D,0xF1,0x9B,0xC9,0xB9,0x75,0x9A,0x0B,0x6B,
		0x8D,0x31,0x98,0xA6,0x31,0xEB,0x6E,0x09,0xF1,0x0B,0xB7,0x96,
		0x8F,0xB4,0x1C,0xFC,0x3C,0xD8,0xA2,0x30,0xA1,0x1B,0xE9,0x27,
		0x18,0xF2,0x8E,0xBF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
